From 10aac805c08c356183fd4113331d659ce394e00d Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Sep 28 2017 17:35:09 +0000
Subject: [PATCH 961/1001] Make the Streams page use React too


---

diff --git a/hubs/views/user.py b/hubs/views/user.py
index c0e2b99..02b2e54 100644
--- a/hubs/views/user.py
+++ b/hubs/views/user.py
@@ -5,20 +5,38 @@ import hubs.models
 import hubs.feed
 
 from hubs.app import app
-from hubs.utils.views import login_required, get_hub, get_sse_url
+from hubs.utils.views import (
+    login_required, get_sse_url, get_menu_entries)
 
 
 @app.route('/stream')
 @app.route('/stream/')
 @login_required
 def stream():
-    username = flask.g.user.username
-    hub = get_hub(username)
+    current_user = flask.g.auth.copy()
+    urls = {
+        "sse": get_sse_url("user/{}".format(current_user.nickname)),
+        "notifications": flask.url_for("stream_existing"),
+        "saved": flask.url_for("saved_notifs"),
+    }
+    menu = get_menu_entries()
+    flash_messages = [
+        {"msg": msg[1], "type": msg[0]} for msg in
+        flask.get_flashed_messages(with_categories=True)
+        ]
     return flask.render_template(
-        'stream.html',
-        hub=hub,
-        sse_url=get_sse_url("user/{}".format(username)),
-    )
+        'react.html',
+        page_title="My Stream",
+        initial_state=dict(
+            ui=dict(
+                page="Streams",
+                flashMessages=flash_messages,
+                leftMenu=menu,
+            ),
+            urls=urls,
+            currentUser=current_user,
+            ),
+        )
 
 
 @app.route('/stream/existing')

